Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.model.types.org
Class LdapSource

    java.lang.Object
      com.tibco.bpm.web.client.model.types.org.LdapSource

Direct Known Subclasses:
  SecondaryLdapSource

    public class LdapSource

extends java.lang.Object

Constructor Summary
`LdapSource()`

Method Summary
`java.util.List<AttributeMapping>` | `getAttributeMapping()`
`java.lang.String` | `getBaseDn()`
`java.lang.String` | `getLdapAlias()`
`java.lang.String` | `getLdapQuery()`
`java.lang.String` | `getResourceNameAttributes()`
`java.lang.String` | `getSearchScope()`
`void` | `setAttributeMapping(java.util.List<AttributeMapping> attributeMapping)`
`void` | `setBaseDn(java.lang.String baseDn)`
`void` | `setLdapAlias(java.lang.String ldapAlias)`
`void` | `setLdapQuery(java.lang.String ldapQuery)`
`void` | `setResourceNameAttributes(java.lang.String resourceNameAttributes)`
`void` | `setSearchScope(java.lang.String searchScope)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LdapSource

    public LdapSource()

Method Detail

### getLdapQuery

    public java.lang.String getLdapQuery()

### setLdapQuery

    public void setLdapQuery(java.lang.String ldapQuery)

### getLdapAlias

    public java.lang.String getLdapAlias()

### setLdapAlias

    public void setLdapAlias(java.lang.String ldapAlias)

### getResourceNameAttributes

    public java.lang.String getResourceNameAttributes()

### setResourceNameAttributes

    public void setResourceNameAttributes(java.lang.String resourceNameAttributes)

### getBaseDn

    public java.lang.String getBaseDn()

### setBaseDn

    public void setBaseDn(java.lang.String baseDn)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getSearchScope

    public java.lang.String getSearchScope()

### setSearchScope

    public void setSearchScope(java.lang.String searchScope)

### getAttributeMapping

    public java.util.List<AttributeMapping> getAttributeMapping()

### setAttributeMapping

    public void setAttributeMapping(java.util.List<AttributeMapping> attributeMapping)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.